AuthThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 7.11This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Get all registered watches in a paginated manner and optionally filter watches by a query.
Note that only the _id and metadata.* fields are queryable or sortable.
If false, the request returns an error if any wildcard expression, index alias, or _all value targets only
missing or closed indices. This behavior applies even if the request targets other open indices. For example,
a request targeting foo*,bar* returns an error if an index starts with foo but no index starts with bar.
expand_wildcardsuniononeOf
Type of index that wildcard patterns can match. If the request can target data streams, this argument
determines whether wildcard expressions match hidden data streams. Supports comma-separated values,
such as open,hidden.
Supported values include:
all: Match any data stream or index, including hidden ones.
open: Match open, non-hidden indices. Also matches any non-hidden data stream.
closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.
hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both.
none: Wildcard expressions are not accepted.
Values:allopenclosedhiddennone
ignore_unavailableboolean · default: false
If true, missing or closed indices are not included in the response.
ignore_throttledboolean · default: true
If true, concrete, expanded or aliased indices are ignored when frozen.
search_typeenum
Supported values include:
query_then_fetch: Documents are scored using local term and document frequencies for the shard. This is usually faster but less accurate.
dfs_query_then_fetch: Documents are scored using global term and document frequencies across all shards. This is usually slower but more accurate.
Values:query_then_fetchdfs_query_then_fetch
templateobject
explainboolean · default: false
idstring
ID of the search template to use. If no source is specified,
this parameter is required.
paramsmapstring to object
profileboolean · default: false
sourcestring
An inline search template. Supports the same parameters as the search API's
request body. Also supports Mustache variables. If no id is specified, this
parameter is required.
rest_total_hits_as_intboolean
timeoutuniononeOfrequired
Values:-10
indexobject
indexstringrequired
doc_idstring
refreshenum
Values:truefalsewait_for
op_typeenum · default: index
Supported values include:
index: Overwrite any documents that already exist.
create: Only index documents that do not already exist.
Values:indexcreate
timeoutuniononeOf · default: 60s
Values:-10
execution_time_fieldstring
loggingobject
levelstring
textstringrequired
categorystring
emailobject
idstring
bccunionstring | string[]
bodyobject
htmlstring
textstring
ccunionstring | string[]
fromstring
priorityenum
Values:lowestlownormalhighhighest
reply_tounionstring | string[]
sent_dateuniononeOf
One of:stringornumber
subjectstringrequired
tounionstring | string[]required
attachmentsmapstring to object
<string>object · min properties: 1 · max properties: 1
webhookobjectThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 7.14This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.